/*
Copyright 2005-2013 Samuel Gesche

This file is part of ArcEnCiel.

ArcEnCiel is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

ArcEnCiel is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ArcEnCiel.  If not, see <http://www.gnu.org/licenses/>.
*/

package data;
/**
 * @author Samuel GESCHE
 * @version 3.0
 */
public class LienEntreListes {
    private ListeSynonymes orig;
    private ListeSynonymes dest;

    public LienEntreListes(ListeSynonymes origine, ListeSynonymes destination){
        this.orig = origine;
        this.dest = destination;
    }

    public ListeSynonymes getOrigine(){
        return orig;
    }

    public ListeSynonymes getDestination(){
        return dest;
    }

    public boolean equals(Object o){
        LienEntreListes l = (LienEntreListes)o;
        return (orig.equals(l.orig) && dest.equals(l.dest));
    }

    public String toString(){
        return orig.toString() + " ========> " + dest.toString();
    }
}
